<?php

/*
 * @author Adam Westerski 
 * @file rdfme_mappings.inc
 * ideastream Module
 */
 
/*
 * New mappings for RDFme
 */
function _ideastream_rdfme_mappings() {
	$mappings= '<?xml version="1.0" encoding="UTF-8"?>
<export>
  <blacklist>page, story</blacklist>
  <content>
    <type>contest</type>
    <class>gi2mo:IdeaContest</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/tordf</uri>
    <blacklist>language, changed, comment, last_comment_timestamp, teaser, promote, moderate, sticky, revision_uid, revision_timestamp, status</blacklist>
    <property>
      <fieldname>nid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>created</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>title</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>body</fieldname>
      <map>gi2mo:content</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>idea</type>
    <class>gi2mo:Idea</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/tordf</uri>
    <blacklist>language, changed, comment, last_comment_timestamp, teaser, promote, moderate, sticky, revision_uid, revision_timestamp, status</blacklist>
    <property>
      <fieldname>nid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>created</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>map_comment</fieldname>
      <map>gi2mo:hasComment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@nid@@@/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>title</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>body</fieldname>
      <map>gi2mo:content</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>taxonomy_categories</fieldname>
      <map>gi2mo:hasCategory</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>taxonomy_tags</fieldname>
      <map>scot:Tag</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>workflow_state</fieldname>
      <map>gi2mo:hasStatus</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>votingapi_rating</fieldname>
      <map>gi2mo:hasReview</map>
      <isresource>1</isresource>
      <ispropertyof>1</ispropertyof>
    </property>
    <property>
      <fieldname>image_module</fieldname>
      <map>gi2mo:hasAttachment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>image_gallery_assist</fieldname>
      <map>gi2mo:hasAttachment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@nid@@@/gallery/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>field_idea_contest</fieldname>
      <map>gi2mo:hasIdeaContest</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>field_review</fieldname>
      <map>gi2mo:hasReview</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>idea</type>
    <class>gi2mo:UpDownRating</class>
    <index>1</index>
    <uri>@@@url@@@node/@@@nid@@@/class/@@@id@@@/tordf</uri>
    <property>
      <fieldname>votingapi_rating</fieldname>
      <map>gi2mo:ratingValue</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>rdfme_literal_value</fieldname>
      <map>dcterms:description</map>
      <isresource></isresource>
      <pattern>User up/down voting value</pattern>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>review</type>
    <class>gi2mo:Review</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/tordf</uri>
    <blacklist>language, changed, comment, last_comment_timestamp, teaser, promote, moderate, sticky, revision_uid, revision_timestamp, status</blacklist>
    <property>
      <fieldname>nid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>created</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>map_comment</fieldname>
      <map>gi2mo:hasComment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@nid@@@/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>title</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>body</fieldname>
      <map>gi2mo:content</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>taxonomy_review_types</fieldname>
      <map>gi2mo:hasCategory</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>image_module</fieldname>
      <map>gi2mo:hasAttachment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>image_gallery_assist</fieldname>
      <map>gi2mo:hasAttachment</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@nid@@@/gallery/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>field_reviewed_idea</fieldname>
      <map>gi2mo:isReviewOf</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>field_review_rating</fieldname>
      <map>gi2mo:hasSupplement</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@nid@@@/@@@id@@@/tordf</pattern>
      <ispropertyof>1</ispropertyof>
    </property>
  </content>
  <content>
    <type>review</type>
    <class>gi2mo:MinMaxRating</class>
    <index>1</index>
    <uri>@@@url@@@node/@@@nid@@@/class/@@@id@@@/tordf</uri>
    <property>
      <fieldname>field_review_rating</fieldname>
      <map>gi2mo:ratingValue</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>rdfme_literal_value</fieldname>
      <map>dcterms:description</map>
      <isresource></isresource>
      <pattern>Rating from 1..10 assigned by the reviewer</pattern>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>user</type>
    <class>gi2mo:User</class>
    <index>0</index>
    <uri>@@@url@@@user/@@@uid@@@/tordf</uri>
    <blacklist>status, roles</blacklist>
    <property>
      <fieldname>uid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=user/@@@uid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>name</fieldname>
      <map>foaf:accountName</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>created</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>comment</type>
    <class>gi2mo:Comment</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/@@@cid@@@/tordf</uri>
    <blacklist>status</blacklist>
    <property>
      <fieldname>cid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@#comment-@@@cid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>nid</fieldname>
      <map>gi2mo:isCommentOf</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@uid@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>subject</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>comment</fieldname>
      <map>gi2mo:content</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>timestamp</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>image</type>
    <class>gi2mo:Attachment</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/tordf</uri>
    <blacklist>language, changed, comment, last_comment_timestamp, teaser, promote, moderate, sticky, revision_uid, revision_timestamp, status</blacklist>
    <property>
      <fieldname>nid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>image_parent</fieldname>
      <map>gi2mo:isAttachmentOf</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>created</fieldname>
      <map>dcterms:created</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>title</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>body</fieldname>
      <map>dcterms:description</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>images_original</fieldname>
      <map>gi2mo:hasBinaryContent</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@/@@@value@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
  </content>
  <content>
    <type>gallery_assist</type>
    <class>gi2mo:Attachment</class>
    <index>0</index>
    <uri>@@@url@@@node/@@@nid@@@/gallery/@@@pid@@@/tordf</uri>
    <blacklist>language, changed, comment, last_comment_timestamp, teaser, promote, moderate, sticky, revision_uid, revision_timestamp, status</blacklist>
    <property>
      <fieldname>pid</fieldname>
      <map>foaf:page</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@?q=node/@@@nid@@@/@@@value@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>nid</fieldname>
      <map>gi2mo:isAttachmentOf</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@node/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>uid</fieldname>
      <map>gi2mo:hasCreator</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@user/@@@value@@@/tordf</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>ptitle</fieldname>
      <map>dcterms:title</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>palt</fieldname>
      <map>dcterms:alternative</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>pdescription</fieldname>
      <map>dcterms:description</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>filename</fieldname>
      <map>dcterms:source</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>opath</fieldname>
      <map>gi2mo:hasBinaryContent</map>
      <isresource>1</isresource>
      <pattern>@@@url@@@@@@value@@@</pattern>
      <ispropertyof></ispropertyof>
    </property>
    <property>
      <fieldname>copyright</fieldname>
      <map>dcterms:license</map>
      <isresource></isresource>
      <ispropertyof></ispropertyof>
    </property>
  </content>
</export>
';
	
	return $mappings;
}

?>