<?php
// $Id: views-view-fields.tpl.php,v 1.6 2008/09/24 22:48:21 merlinofchaos Exp $
/**
 * @file views-view-fields.tpl.php
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->separator: an optional separator that may appear before a field.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
?>

<table width="100%" class="all_idea_list_table"> <!--  border="1" class="all_idea_list_table" -->
<tr>
	<td class="all_idea_list_idea_title_row" colspan="3">
		<?php print($fields['title']->content) ?>
	</td>
	<td rowspan="5" width="100px" class="all_idea_list_idea_status_cell">
	<table class="idea_status_box">
		<tr>
			<td class="idea_status_box_title">Category</td>
		</tr>
		<tr>
			<td class="idea_status_box_value"><?php 

			$result = db_query("SELECT term_data.name, term_data.tid FROM {term_data} JOIN {term_node} ON term_data.tid=term_node.tid JOIN {vocabulary} ON term_data.vid=vocabulary.vid WHERE term_node.nid=%d AND vocabulary.name='Categories'",$fields['nid']->content);
			if ($data = db_fetch_object($result)) {
			   print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
			   //$role_rid=$data->rid;
			} else print ("<a href='".url('home/all/all/Uncategorized')."'>".'Uncategorised</a>');

			
			//taxonomy_node_get_terms(); if (strlen($fields['name_1']->content)>0) { $term = taxonomy_get_term_by_name($fields['name_1']->content); print('<a href="'.url('taxonomy/term/'.$term[0]->tid).'">'.$fields['name_1']->content.'</a>');
			//} else print ('Uncategorised'); ?></td>
		</tr>	
	</table>
	</td>
</tr>
<tr>
	<td rowspan="6" width="9px" class="<?php 
		switch ($fields['state']->content) {
		    case "Draft":
		        print("all_idea_list_status_draft");
		        break;
		    case "Under Review":
        		print("all_idea_list_status_interesting");
		        break;
		    case "Accepted":
        		print("all_idea_list_status_completed");
		        break;
		    case "Rejected":
        		print("all_idea_list_status_rejected");
		        break;
		    case "Already Exists":
        		print("all_idea_list_status_exists");
		        break;
		    case "Partially Implemented":
        		print("all_idea_list_status_implemented");
        		break;
		    case "Implemented":
        		print("all_idea_list_status_implemented");
		        break;
		    default:
		       print("all_idea_list_status_draft");
}
	/*
		if ($fields['state']->content=="Draft") print("all_idea_list_status_draft");
		else print("Zupa"); */
	?>">
	</td>
	<td width="45px" rowspan="4" class="test-widget-costam">
	<?php print($fields['vud_node_widget']->content) ?>
	</td>
	<td class="all_idea_list_idea_creator_row">
		<span class="text">Sent by</span> <span class="author"><?php print($fields['name']->content) ?></span> <span class="text">on</span> <?php print($fields['created']->content) ?>
	</td>
</tr>
<tr>
	<td class="all_idea_list_idea_status_row">
		<span class="text">Status:&nbsp</span> <?php print($fields['state']->content) ?>
		<?php 
		if ($fields['field_idea_contest_nid']->content!="") 
		{
			$contest_name= $fields['field_idea_contest_nid']->content;
			if (strlen($contest_name) > 36) $contest_name= substr($contest_name,0,36)."...";
			print "<span class=\"text\">&nbspPosted in a Contest:&nbsp&nbsp</span><a href=\"".url('node/'.$fields['field_idea_contest_nid']->raw)."\" >".$contest_name."</a>"; 
		}
		?>
	</td>
</tr>
<tr>
	<td class="all_idea_list_idea_tags_row">
		<span class="text">Tags:&nbsp</span> <?php print($fields['tid']->content) ?> <!-- <?php print($fields['vud_node_widget']->content) ?> -->
	</td>
</tr>
<tr>
	<td class="all_idea_list_idea_category_row">
		<span class="text">Categories:&nbsp</span> <?php print($fields['tid_1']->content) ?> <!-- <?php print($fields['vud_node_widget']->content) ?> -->
	</td>
</tr>
<tr>
	<td class="all_idea_list_idea_content_row" colspan="3">
		<?php print($fields['body']->content) ?>
	</td>
</tr>
<!--
<tr>
	<td class="all_idea_list_idea_status_row" colspan="2">
		<span class="text">Status:</span> <?php print($fields['state']->content) ?>
	</td>
</tr> -->
<tr>
	<td class="all_idea_list_idea_comment_count_row" colspan="2"> <!-- colspan="2" -->
		<span class="text">Comments:</span> <?php print($fields['comment_count']->content) ?>
	</td>
	<td class="all_idea_list_idea_rdf_icon_row">
		<a href="<?php print(url('node/'.$fields['nid']->content).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="themes/ideastream/buttons/rdf_icon_link_hover.png" width="16px" height="16px"/></a>
	</td>
</tr>
<!-- <tr>
	<td class="all_idea_list_idea_status_row">
		<span class="text">Status:</span> <?php print($fields['state']->content) ?>
	</td>
</tr> -->
</table>

<!--
<div style="background-color: #eee;
	padding: 20px;
	margin-top: 10px;
	margin-right: 20px;
text-align: center;
border-radius: 15px;
-moz-border-radius: 15px;">This box should have a rounded corners for Firefox, Safari/Chrome, Opera and IE9.</div>
-->
<!--
<?php foreach ($fields as $id => $field): ?>
<?php if (!empty($field->separator)): ?>
<?php print $field->separator; ?>
<?php endif; ?>

<<?php print $field->inline_html;?> class="views-field-<?php print $field->class; ?>">
<?php if ($field->label): ?>
<label class="views-label-<?php print $field->class; ?>">
<?php print $field->label; ?>:
</label>
<?php endif; ?>
<?php
	// $field->element_type is either SPAN or DIV depending upon whether or not
	// the field is a 'block' element type or 'inline' element type.
	?>
<<?php print $field->element_type; ?> class="field-content"><?php print $field->content; ?></<?php print $field->element_type; ?>>
</<?php print $field->inline_html;?>>
<?php endforeach; ?>
-->

